# trim.hh File Reference

Declaration of useful_states() and trim(). More...

Include dependency graph for trim.hh:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces

namespace | vcsn

| The main namespace of the Vaucanson library.

## Functions

template<typename A , typename AI >
std::set< typename Element< A, AI >::hstate_t > | useful_states (const Element< A, AI > &a)
| Returns a useful states of the automaton.
template<typename A , typename AI >
Element< A, AI > | trim (const Element< A, AI > &a)
| Return a fresh automaton in which non useful states are removed.
template<typename A , typename AI >
void | trim_here (Element< A, AI > &a)
| Trim a.

## Detailed Description

Declaration of useful_states() and trim().

See also:
  useful_states(), trim()

Definition in file trim.hh.